-- ===================================================================
-- Copyright (C) 2015-2022	Charlene Benke	<charlene@patas-monkey.com>
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program. If not, see <http://www.gnu.org/licenses/>.
--
-- ===================================================================

create table llx_myfield_value
(
	rowid			integer AUTO_INCREMENT PRIMARY KEY, -- clé principale
	fk_myfield		integer, 							-- clé étrangère vers llx_myfields
	color			varchar(6) NULL DEFAULT NULL,		-- couleur de de la police de caractère
	bgcolor			varchar(6) NULL DEFAULT NULL,		-- couleur de fond (si visible ou caché)
	replacement		varchar(255) NULL  DEFAULT NULL,	-- Text qui en remplace un autre
	testvalue		varchar(255) NULL DEFAULT NULL		
		-- test condionnant le changement (égale, inférieur, supérieur, contient)
)ENGINE=innodb;