<?php

if ($action == 'create' && $request_method === 'POST') {

    global $conf;

    $periodyear     = GETPOST('periodyear','int');
    $periodmonth    = GETPOST('periodmonth','int');
    $period = $periodyear.'-'.sprintf("%02d", $periodmonth).'-01';

    if(!GETPOST('fk_user')){
        setEventMessage($langs->trans("ChooseAnEmployee"), 'errors');
        header('Location: ./card.php?action=add');
        exit;
    }
    
    $fk_user = GETPOST('fk_user','int');
    $insert = array(
        'fk_user'   => $fk_user
        ,'period'   => $period
        ,'ref'      => $db->escape(GETPOST('ref', 'alphanohtml'))
        ,'label'    => $db->escape(GETPOST('label', 'alphanohtml'))
        ,'comment'  => $db->escape(GETPOST('comment', 'alphanohtml'))
        ,'entity'   => $conf->entity
    );


    $avance = $object->create(1,$insert);
    $object->fetch($avance);

    if ($avance > 0) {
        $otherdata = $object->calculatePaieRules($avance, $object);
        header('Location: ./card.php?id='. $avance.'&action=edit');
        exit;
    }
    else {
        setEventMessages($object->errors, null, 'errors');
        header('Location: card.php?action=add');
        exit;
    }
}

if($action == "add"){

    global $conf;
    
    print '<form method="post" action="'.$_SERVER["PHP_SELF"].'" enctype="multipart/form-data" class="competcpaiedolibarr card_paiedolibarr">';

    print '<input type="hidden" name="action" value="create" />';
    print '<input type="hidden" name="page" value="'.$page.'" />';

    print '<div class="">';
    print '<div class="">';
        print '<table class="border dstable_" width="100%">';

        $periodyear = date('Y');
        $periodmonth = date('m') + 0;

        print '<tr>';
            print '<td class="titlefieldcreate">'.$langs->trans('paieofmonth').'</td>';
            print '<td >';
            print $formother->selectyear($periodyear,'periodyear').$formother->select_month($periodmonth,'periodmonth','',1,'maxwidth100imp');
            print '</td>';
        print '</tr>';

        print '<tr>';
            print '<td class="titlefieldcreate" id="titletdpaiedolibarr">'.$langs->trans('paiedolibarr_employe').'</td>';
            print '<td id="paieemployees">';
            print '<span id="users">';
            $excludes = array();
            // $excludes = $object->usersToExclude(0);
            // print $form->select_dolusers('', 'fk_user', 0, $excludes, 0, '', 0, 0, 0, 0, '', 0, '', 'maxwidth300');
            print '</span>';
            print '</td>';
        print '</tr>';

        print '<tr>';
            print '<td class="titlefieldcreate">'.$langs->trans('paiedolibarr_ref').'</td>';
            print '<td ><input type="text" class="quatrevingtseizepercent minwidth300" id="paieref" name="ref" value="'.$langs->trans('PAIESLIP').'" autocomplete="off"/>';
            print '</td>';
        print '</tr>';


       
        $mountyear = $langs->trans("Month".sprintf("%02d", $periodmonth))." ".$periodyear;

        print '<tr>';
            print '<td class="titlefieldcreate">'.$langs->trans('paiesname').'</td>';
            print '<td >';
            print '<input value="'.$langs->trans('Fiche_de_salaire').' - '.$mountyear.'" type="text" class="quatrevingtseizepercent minwidth300" id="paielabel" name="label"  autocomplete="off"/>';
            print '</td>';
        print '</tr>';

        print '<tr>';
            print '<td class="titlefieldcreate">'.$langs->trans('paiedolibarr_comment').'</td>';
            print '<td><textarea name="comment" id="comment" class="centpercent" rows="5" wrap="soft">';
            // print $item->comment;
            print '</textarea></td>';
        print '</tr>';

        print '</table>';

        print '<br>';
   
    print '</div>';

    print '<div style="clear:both"></div>';
    print '</div>';


    // Actions
    print '<table class="" width="100%">';
        print '<tr>';
            print '<td colspan="2" align="center" >';
            print '<br>';
            print '<input type="submit" class="button" name="save" value="'.$langs->trans('Validate').'">';
            print '<input type="button" class="button" value="'.$langs->trans('Cancel').'" onclick="javascript:history.go(-1)">';
            // print '<input type="submit" class="button" name="cancel" value="'.$langs->trans('Cancel').'">';
        print '</tr>';
    print '</table>';


    print '</form>';

    ?>
    <script type="text/javascript">
        jQuery(document).ready(function() {
            $('#periodyear,#periodmonth').change(function() {
                datapaiedolibarr('users');
            });
            triggeruserschange();
            $('#periodmonth').trigger('change');
        });

        function remove_tr_paie(x){
            var y = $(x).parent('td').parent('tr');
            y.remove();
        }

        function triggeruserschange(){
            $('#paieemployees select').change(function() {
                datapaiedolibarr('details');
            });
        }

        function datapaiedolibarr(action){
            var fk_user     = $('#paieemployees select').val();
            var periodyear  = $('#periodyear').val();
            var periodmonth = $('#periodmonth').val();

            $.ajax({
                url:'<?php echo dol_escape_js(dol_buildpath("/paiedolibarr/check.php",2)); ?>',
                type:"POST",
                data:{'fk_user':fk_user,'periodyear':periodyear,'periodmonth':periodmonth,'action':action},
                success:function(ajaxr){
                    var result = $.parseJSON(ajaxr);
                    if(action == 'details'){
                        $('#paielabel').val(result.label);
                        $('#paieref').val(result.ref);
                        calculatepaie(result.salary);
                    }else{
                        $('#paieemployees #users').html(result.users);
                        datapaiedolibarr('details');
                        triggeruserschange();
                    }
                }
            });
        }
    </script>
    <?php
}